%global fontname gdouros-anaktoria
%global fontconf 65-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        6.00
Release:        1%{?dist}
Summary:        A font based on "Grecs du roi" and the "First Folio Edition of Shakespeare"

# https://web.archive.org/web/20150625020428/http://users.teilar.gr/~g1951d/
# "in lieu of a licence:
# Fonts and documents in this site are not pieces of property or merchandise
# items; they carry no trademark, copyright, license or other market tags;
# they are free for any use. George Douros"
License:        Public Domain
URL:            http://users.teilar.gr/~g1951d/
Source0:        http://users.teilar.gr/~g1951d/TextFonts.zip
Source1:        http://users.teilar.gr/~g1951d/Textfonts.pdf
Source2:        %{name}-fontconfig.conf
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  libappstream-glib
Requires:       fontpackages-filesystem

%description
Greek letters are based on "Grecs du roi" designed by Claude Garamond (1480-
1561) between 1541 and 1544, commissioned by king Francis I of France, for the
exclusive use by the Imprimerie Nationale in Paris. Mindaugas Strockis prepared
a modern version of "Grecs du roi" in 2001.

Latin letters have been digitized directly out of the titles and front pages of
the 1623 "First Folio Edition of Shakespeare". Scott Mann and Peter Guither
prepared a modern version of the font for "The Illinois Shakespeare Festival"
in 1995.

The font covers the Windows Glyph List, IPA Extensions, Greek Extended, Ancient
Greek Numbers, Byzantine and Ancient Greek Musical Notation, various
typographic extras and several Open Type features (Case-Sensitive Forms, Small
Capitals, Subscript, Superscript, Numerators, Denominators, Fractions, Old
Style Figures, Historical Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.

%prep
%setup -q -c
cp -p %{SOURCE1} .

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Anaktoria.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%check
appstream-util validate-relax --nonet \
      %{buildroot}/%{_datadir}/appdata/%{fontname}.metainfo.xml


%_font_pkg -f %{fontconf} Anaktoria.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%doc Textfonts.pdf

%changelog
* Fri Jun 19 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 6.00-1
- 6.00 bump

* Thu May 28 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.01-1
- First release

